using bitforum.Constants;
using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 인증번호 확인 DTO
    /// </summary>
    public class VerificationNumberDto
    {
        [Required(ErrorMessage = "이메일을 입력해주세요.")]
        [DataType(DataType.EmailAddress)]
        public required string Email { get; set; }

        [Required(ErrorMessage = "인증번호를 입력해주세요.")]
        [StringLength(6, ErrorMessage = "인증번호는 6자리 입니다.")]
        public required string Code { get; set; }

        [Required(ErrorMessage = "인증 구분을 입력해주세요.")]
        [EnumDataType(typeof(VerificationType), ErrorMessage = "올바른 인증 구분을 입력해주세요.")]
        public required VerificationType Type { get; set; }
    }
}
